
package ogloszenia.wygenerowane;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ogloszenia.wygenerowane package. 
 * &lt;p&gt;An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Foto_QNAME = new QName("http://soap.ogloszenia/", "foto");
    private final static QName _FotoResponse_QNAME = new QName("http://soap.ogloszenia/", "fotoResponse");
    private final static QName _KtoraGodzina_QNAME = new QName("http://soap.ogloszenia/", "ktoraGodzina");
    private final static QName _KtoraGodzinaResponse_QNAME = new QName("http://soap.ogloszenia/", "ktoraGodzinaResponse");
    private final static QName _Oblicz_QNAME = new QName("http://soap.ogloszenia/", "oblicz");
    private final static QName _ObliczResponse_QNAME = new QName("http://soap.ogloszenia/", "obliczResponse");
    private final static QName _OdczytajWgCeny_QNAME = new QName("http://soap.ogloszenia/", "odczytajWgCeny");
    private final static QName _OdczytajWgCenyResponse_QNAME = new QName("http://soap.ogloszenia/", "odczytajWgCenyResponse");
    private final static QName _OdczytajWgId_QNAME = new QName("http://soap.ogloszenia/", "odczytajWgId");
    private final static QName _OdczytajWgIdResponse_QNAME = new QName("http://soap.ogloszenia/", "odczytajWgIdResponse");
    private final static QName _OdczytajWszystkie_QNAME = new QName("http://soap.ogloszenia/", "odczytajWszystkie");
    private final static QName _OdczytajWszystkieResponse_QNAME = new QName("http://soap.ogloszenia/", "odczytajWszystkieResponse");
    private final static QName _Ogloszenie_QNAME = new QName("http://soap.ogloszenia/", "ogloszenie");
    private final static QName _SayHello_QNAME = new QName("http://soap.ogloszenia/", "sayHello");
    private final static QName _SayHelloResponse_QNAME = new QName("http://soap.ogloszenia/", "sayHelloResponse");
    private final static QName _Zapisz_QNAME = new QName("http://soap.ogloszenia/", "zapisz");
    private final static QName _ZapiszResponse_QNAME = new QName("http://soap.ogloszenia/", "zapiszResponse");
    private final static QName _NieznanyRekord_QNAME = new QName("http://soap.ogloszenia/", "NieznanyRekord");
    private final static QName _BladBazyDanych_QNAME = new QName("http://soap.ogloszenia/", "BladBazyDanych");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ogloszenia.wygenerowane
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Foto }
     * 
     */
    public Foto createFoto() {
        return new Foto();
    }

    /**
     * Create an instance of {@link FotoResponse }
     * 
     */
    public FotoResponse createFotoResponse() {
        return new FotoResponse();
    }

    /**
     * Create an instance of {@link KtoraGodzina }
     * 
     */
    public KtoraGodzina createKtoraGodzina() {
        return new KtoraGodzina();
    }

    /**
     * Create an instance of {@link KtoraGodzinaResponse }
     * 
     */
    public KtoraGodzinaResponse createKtoraGodzinaResponse() {
        return new KtoraGodzinaResponse();
    }

    /**
     * Create an instance of {@link Oblicz }
     * 
     */
    public Oblicz createOblicz() {
        return new Oblicz();
    }

    /**
     * Create an instance of {@link ObliczResponse }
     * 
     */
    public ObliczResponse createObliczResponse() {
        return new ObliczResponse();
    }

    /**
     * Create an instance of {@link OdczytajWgCeny }
     * 
     */
    public OdczytajWgCeny createOdczytajWgCeny() {
        return new OdczytajWgCeny();
    }

    /**
     * Create an instance of {@link OdczytajWgCenyResponse }
     * 
     */
    public OdczytajWgCenyResponse createOdczytajWgCenyResponse() {
        return new OdczytajWgCenyResponse();
    }

    /**
     * Create an instance of {@link OdczytajWgId }
     * 
     */
    public OdczytajWgId createOdczytajWgId() {
        return new OdczytajWgId();
    }

    /**
     * Create an instance of {@link OdczytajWgIdResponse }
     * 
     */
    public OdczytajWgIdResponse createOdczytajWgIdResponse() {
        return new OdczytajWgIdResponse();
    }

    /**
     * Create an instance of {@link OdczytajWszystkie }
     * 
     */
    public OdczytajWszystkie createOdczytajWszystkie() {
        return new OdczytajWszystkie();
    }

    /**
     * Create an instance of {@link OdczytajWszystkieResponse }
     * 
     */
    public OdczytajWszystkieResponse createOdczytajWszystkieResponse() {
        return new OdczytajWszystkieResponse();
    }

    /**
     * Create an instance of {@link Samochodowe }
     * 
     */
    public Samochodowe createSamochodowe() {
        return new Samochodowe();
    }

    /**
     * Create an instance of {@link SayHello }
     * 
     */
    public SayHello createSayHello() {
        return new SayHello();
    }

    /**
     * Create an instance of {@link SayHelloResponse }
     * 
     */
    public SayHelloResponse createSayHelloResponse() {
        return new SayHelloResponse();
    }

    /**
     * Create an instance of {@link Zapisz }
     * 
     */
    public Zapisz createZapisz() {
        return new Zapisz();
    }

    /**
     * Create an instance of {@link ZapiszResponse }
     * 
     */
    public ZapiszResponse createZapiszResponse() {
        return new ZapiszResponse();
    }

    /**
     * Create an instance of {@link NieznanyRekord }
     * 
     */
    public NieznanyRekord createNieznanyRekord() {
        return new NieznanyRekord();
    }

    /**
     * Create an instance of {@link BladBazyDanych }
     * 
     */
    public BladBazyDanych createBladBazyDanych() {
        return new BladBazyDanych();
    }

    /**
     * Create an instance of {@link Ogloszenie }
     * 
     */
    public Ogloszenie createOgloszenie() {
        return new Ogloszenie();
    }

    /**
     * Create an instance of {@link Sprzedawca }
     * 
     */
    public Sprzedawca createSprzedawca() {
        return new Sprzedawca();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Foto }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Foto }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "foto")
    public JAXBElement<Foto> createFoto(Foto value) {
        return new JAXBElement<Foto>(_Foto_QNAME, Foto.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FotoResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link FotoResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "fotoResponse")
    public JAXBElement<FotoResponse> createFotoResponse(FotoResponse value) {
        return new JAXBElement<FotoResponse>(_FotoResponse_QNAME, FotoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link KtoraGodzina }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link KtoraGodzina }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "ktoraGodzina")
    public JAXBElement<KtoraGodzina> createKtoraGodzina(KtoraGodzina value) {
        return new JAXBElement<KtoraGodzina>(_KtoraGodzina_QNAME, KtoraGodzina.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link KtoraGodzinaResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link KtoraGodzinaResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "ktoraGodzinaResponse")
    public JAXBElement<KtoraGodzinaResponse> createKtoraGodzinaResponse(KtoraGodzinaResponse value) {
        return new JAXBElement<KtoraGodzinaResponse>(_KtoraGodzinaResponse_QNAME, KtoraGodzinaResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Oblicz }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Oblicz }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "oblicz")
    public JAXBElement<Oblicz> createOblicz(Oblicz value) {
        return new JAXBElement<Oblicz>(_Oblicz_QNAME, Oblicz.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ObliczResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ObliczResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "obliczResponse")
    public JAXBElement<ObliczResponse> createObliczResponse(ObliczResponse value) {
        return new JAXBElement<ObliczResponse>(_ObliczResponse_QNAME, ObliczResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajWgCeny }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajWgCeny }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "odczytajWgCeny")
    public JAXBElement<OdczytajWgCeny> createOdczytajWgCeny(OdczytajWgCeny value) {
        return new JAXBElement<OdczytajWgCeny>(_OdczytajWgCeny_QNAME, OdczytajWgCeny.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajWgCenyResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajWgCenyResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "odczytajWgCenyResponse")
    public JAXBElement<OdczytajWgCenyResponse> createOdczytajWgCenyResponse(OdczytajWgCenyResponse value) {
        return new JAXBElement<OdczytajWgCenyResponse>(_OdczytajWgCenyResponse_QNAME, OdczytajWgCenyResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajWgId }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajWgId }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "odczytajWgId")
    public JAXBElement<OdczytajWgId> createOdczytajWgId(OdczytajWgId value) {
        return new JAXBElement<OdczytajWgId>(_OdczytajWgId_QNAME, OdczytajWgId.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajWgIdResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajWgIdResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "odczytajWgIdResponse")
    public JAXBElement<OdczytajWgIdResponse> createOdczytajWgIdResponse(OdczytajWgIdResponse value) {
        return new JAXBElement<OdczytajWgIdResponse>(_OdczytajWgIdResponse_QNAME, OdczytajWgIdResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkie }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkie }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "odczytajWszystkie")
    public JAXBElement<OdczytajWszystkie> createOdczytajWszystkie(OdczytajWszystkie value) {
        return new JAXBElement<OdczytajWszystkie>(_OdczytajWszystkie_QNAME, OdczytajWszystkie.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkieResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link OdczytajWszystkieResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "odczytajWszystkieResponse")
    public JAXBElement<OdczytajWszystkieResponse> createOdczytajWszystkieResponse(OdczytajWszystkieResponse value) {
        return new JAXBElement<OdczytajWszystkieResponse>(_OdczytajWszystkieResponse_QNAME, OdczytajWszystkieResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Samochodowe }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Samochodowe }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "ogloszenie")
    public JAXBElement<Samochodowe> createOgloszenie(Samochodowe value) {
        return new JAXBElement<Samochodowe>(_Ogloszenie_QNAME, Samochodowe.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SayHello }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SayHello }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "sayHello")
    public JAXBElement<SayHello> createSayHello(SayHello value) {
        return new JAXBElement<SayHello>(_SayHello_QNAME, SayHello.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SayHelloResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SayHelloResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "sayHelloResponse")
    public JAXBElement<SayHelloResponse> createSayHelloResponse(SayHelloResponse value) {
        return new JAXBElement<SayHelloResponse>(_SayHelloResponse_QNAME, SayHelloResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Zapisz }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Zapisz }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "zapisz")
    public JAXBElement<Zapisz> createZapisz(Zapisz value) {
        return new JAXBElement<Zapisz>(_Zapisz_QNAME, Zapisz.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ZapiszResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ZapiszResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "zapiszResponse")
    public JAXBElement<ZapiszResponse> createZapiszResponse(ZapiszResponse value) {
        return new JAXBElement<ZapiszResponse>(_ZapiszResponse_QNAME, ZapiszResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link NieznanyRekord }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link NieznanyRekord }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "NieznanyRekord")
    public JAXBElement<NieznanyRekord> createNieznanyRekord(NieznanyRekord value) {
        return new JAXBElement<NieznanyRekord>(_NieznanyRekord_QNAME, NieznanyRekord.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BladBazyDanych }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link BladBazyDanych }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.ogloszenia/", name = "BladBazyDanych")
    public JAXBElement<BladBazyDanych> createBladBazyDanych(BladBazyDanych value) {
        return new JAXBElement<BladBazyDanych>(_BladBazyDanych_QNAME, BladBazyDanych.class, null, value);
    }

}
